[@bigcommerce/checkout-sdk](../README.md) / CustomerStrategySelector

# Interface: CustomerStrategySelector

## Table of contents

### Methods

- [getExecutePaymentMethodCheckoutError](CustomerStrategySelector.md#getexecutepaymentmethodcheckouterror)
- [getInitializeError](CustomerStrategySelector.md#getinitializeerror)
- [getSignInError](CustomerStrategySelector.md#getsigninerror)
- [getSignOutError](CustomerStrategySelector.md#getsignouterror)
- [getWidgetInteractionError](CustomerStrategySelector.md#getwidgetinteractionerror)
- [isExecutingPaymentMethodCheckout](CustomerStrategySelector.md#isexecutingpaymentmethodcheckout)
- [isInitialized](CustomerStrategySelector.md#isinitialized)
- [isInitializing](CustomerStrategySelector.md#isinitializing)
- [isSigningIn](CustomerStrategySelector.md#issigningin)
- [isSigningOut](CustomerStrategySelector.md#issigningout)
- [isWidgetInteracting](CustomerStrategySelector.md#iswidgetinteracting)

## Methods

### getExecutePaymentMethodCheckoutError

▸ **getExecutePaymentMethodCheckoutError**(`methodId?`): `undefined` \| `Error`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`undefined` \| `Error`

___

### getInitializeError

▸ **getInitializeError**(`methodId?`): `undefined` \| `Error`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`undefined` \| `Error`

___

### getSignInError

▸ **getSignInError**(`methodId?`): `undefined` \| `Error`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`undefined` \| `Error`

___

### getSignOutError

▸ **getSignOutError**(`methodId?`): `undefined` \| `Error`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`undefined` \| `Error`

___

### getWidgetInteractionError

▸ **getWidgetInteractionError**(`methodId?`): `undefined` \| `Error`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`undefined` \| `Error`

___

### isExecutingPaymentMethodCheckout

▸ **isExecutingPaymentMethodCheckout**(`methodId?`): `boolean`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`boolean`

___

### isInitialized

▸ **isInitialized**(`methodId`): `boolean`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId` | `string` |

#### Returns

`boolean`

___

### isInitializing

▸ **isInitializing**(`methodId?`): `boolean`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`boolean`

___

### isSigningIn

▸ **isSigningIn**(`methodId?`): `boolean`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`boolean`

___

### isSigningOut

▸ **isSigningOut**(`methodId?`): `boolean`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`boolean`

___

### isWidgetInteracting

▸ **isWidgetInteracting**(`methodId?`): `boolean`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | `string` |

#### Returns

`boolean`
